//
// Created by sfd on 25-4-21.
//

#ifndef OPENGLCONTEXT_H
#define OPENGLCONTEXT_H

#include <Hazel/Renderer/GraphicsContext.h>
#include <SDL3/SDL_video.h>

struct SDL_Window;

namespace Hazel
{
    class OpenGLContext : public GraphicsContext
    {
    public:
        OpenGLContext(SDL_Window* windowHandle);

        void Init() override;
        void SwapBuffers() override;
        void *GetGLContext() override;

    private:
        SDL_Window* m_windowHandle;
        SDL_GLContext m_GLContext;
    };
}

#endif //OPENGLCONTEXT_H
